# Method: projects.versions.list

- [HTTP request](https://developers.google.com/apps-script/api/reference/rest/v1/projects.versions/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/apps-script/api/reference/rest/v1/projects.versions/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/apps-script/api/reference/rest/v1/projects.versions/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/apps-script/api/reference/rest/v1/projects.versions/list#body.request_body)
- [Response body](https://developers.google.com/apps-script/api/reference/rest/v1/projects.versions/list#body.response_body)
  - [JSON representation](https://developers.google.com/apps-script/api/reference/rest/v1/projects.versions/list#body.ListVersionsResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/apps-script/api/reference/rest/v1/projects.versions/list#body.aspect)
- [Try it!](https://developers.google.com/apps-script/api/reference/rest/v1/projects.versions/list#try-it)

List the versions of a script project.

### HTTP request

`GET https://script.googleapis.com/v1/projects/{scriptId}/versions`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `scriptId` | `string` The script project's Drive ID. |

### Query parameters

| Parameters ||
|---|---|
| `pageToken` | `string` The token for continuing a previous list request on the next page. This should be set to the value of `nextPageToken` from a previous response. |
| `pageSize` | `integer` The maximum number of versions on each returned page. Defaults to 50. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Response with the list of the versions for the specified script project.

| JSON representation |
|---|
| ``` { "versions": [ { object (`https://developers.google.com/apps-script/api/reference/rest/v1/projects.versions#Version`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `versions[]` | ``object (`https://developers.google.com/apps-script/api/reference/rest/v1/projects.versions#Version`)`` The list of versions. |
| `nextPageToken` | `string` The token use to fetch the next page of records. if not exist in the response, that means no more versions to list. |

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/script.projects`
- `https://www.googleapis.com/auth/script.projects.readonly`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).